package com.sf.mapperTest;


import com.sf.entity.StudentInfo;
import com.sf.mapper.StudentInfoMapper;
import com.sf.util.SqlSessionFactoryUtils;
import org.apache.ibatis.session.SqlSession;
import org.junit.Test;

import java.util.ArrayList;
import java.util.List;

/**
 * @author WanJl
 * @version 1.0
 * @title StudentInfoMapperTest
 * @description
 * @create 2025/11/2
 */
public class StudentInfoMapperTest {
    SqlSession session=SqlSessionFactoryUtils.getSqlSession(true);
    StudentInfoMapper studentInfoMapper=session.getMapper(StudentInfoMapper.class);
    @Test
    public void testSelectByIds(){
        List<Integer> list=new ArrayList<>();
        list.add(1);
        list.add(2);
        list.add(3);
        list.add(4);
        list.add(5);
        list.add(6);
        List<StudentInfo> studentInfoList = studentInfoMapper.selectByIds(list);

        studentInfoList.forEach(System.out::println);
    }
}
